From 81b3f95622b1da2433f7d1e992c3ae6ad745e704 Mon Sep 17 00:00:00 2001
From: Ben Ramsey <ramsey@php.net>
Date: Tue, 19 Oct 2021 23:59:11 -0500
Subject: [PATCH] Change UBool to bool for equality operators in ICU >= 70.1

Refer to:
- https://github.com/unicode-org/icu/commit/633438f8da99fee815e2c61626ea779a84567a3d
- https://github.com/unicode-org/icu/commit/f6325d49ba57ec26f320b2865ce09ca47db458d9
--- a/ext/intl/breakiterator/codepointiterator_internal.cpp	2020-09-30 00:15:54.000000000 -0500
+++ b/ext/intl/breakiterator/codepointiterator_internal.cpp	2024-05-19 14:58:38.000000000 -0500
@@ -74,7 +74,11 @@
 	clearCurrentCharIter();
 }
 
+#if U_ICU_VERSION_MAJOR_NUM >= 70
+bool CodePointBreakIterator::operator==(const BreakIterator& that) const
+#else
 UBool CodePointBreakIterator::operator==(const BreakIterator& that) const
+#endif
 {
 	if (typeid(*this) != typeid(that)) {
 		return FALSE;
--- a/ext/intl/breakiterator/codepointiterator_internal.h	2020-09-30 00:15:54.000000000 -0500
+++ b/ext/intl/breakiterator/codepointiterator_internal.h	2024-05-19 14:58:38.000000000 -0500
@@ -36,7 +36,11 @@
 
 		virtual ~CodePointBreakIterator();
 
+#if U_ICU_VERSION_MAJOR_NUM >= 70
+		virtual bool operator==(const BreakIterator& that) const;
+#else
 		virtual UBool operator==(const BreakIterator& that) const;
+#endif
 
 		virtual CodePointBreakIterator* clone(void) const;
 
